Package groovy.lang

# Class Tuple16<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16>

java.lang.Object
java.util.AbstractCollection<E>
java.util.AbstractList<E>
groovy.lang.Tuple
groovy.lang.Tuple16<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16>

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable`, `Iterable`, `Collection`, `List`, `RandomAccess`

public final class Tuple16<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16> extends Tuple
Represents a list of 16 typed Objects.

Since:
  3.0.0
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class java.util.AbstractList

  `modCount`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Tuple16(Tuple16<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16> tuple)`
  Creates a tuple from the supplied tuple.
  `Tuple16(T1 v1, T2 v2, T3 v3, T4 v4, T5 v5, T6 v6, T7 v7, T8 v8, T9 v9, T10 v10, T11 v11, T12 v12, T13 v13, T14 v14, T15 v15, T16 v16)`
  Creates a tuple containing the supplied elements.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Tuple16<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16>`
  `clone()`
  `T1`
  `getV1()`
  Returns the first element.
  `T10`
  `getV10()`
  Returns the tenth element.
  `T11`
  `getV11()`
  Returns the eleventh element.
  `T12`
  `getV12()`
  Returns the twelfth element.
  `T13`
  `getV13()`
  Returns the thirteenth element.
  `T14`
  `getV14()`
  Returns the fourteenth element.
  `T15`
  `getV15()`
  Returns the fifteenth element.
  `T16`
  `getV16()`
  Returns the sixteenth element.
  `T2`
  `getV2()`
  Returns the second element.
  `T3`
  `getV3()`
  Returns the third element.
  `T4`
  `getV4()`
  Returns the fourth element.
  `T5`
  `getV5()`
  Returns the fifth element.
  `T6`
  `getV6()`
  Returns the sixth element.
  `T7`
  `getV7()`
  Returns the seventh element.
  `T8`
  `getV8()`
  Returns the eighth element.
  `T9`
  `getV9()`
  Returns the ninth element.

  ### Methods inherited from class groovy.lang.Tuple

  `compareTo, equals, get, hashCode, size, subList, subTuple, toArray, toArray, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple`

  ### Methods inherited from class java.util.AbstractList

  `add, add, addAll, clear, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, removeRange, set`

  ### Methods inherited from class java.util.AbstractCollection

  `addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, removeIf, stream, toArray`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

  ### Methods inherited from interface java.util.List

  `addAll, contains, containsAll, isEmpty, remove, removeAll, replaceAll, retainAll, sort, spliterator`

- ## Constructor Details

  - ### Tuple16

    public Tuple16(T1 v1, T2 v2, T3 v3, T4 v4, T5 v5, T6 v6, T7 v7, T8 v8, T9 v9, T10 v10, T11 v11, T12 v12, T13 v13, T14 v14, T15 v15, T16 v16)
    Creates a tuple containing the supplied elements.
    Parameters:
      `v1` - the first element
      `v2` - the second element
      `v3` - the third element
      `v4` - the fourth element
      `v5` - the fifth element
      `v6` - the sixth element
      `v7` - the seventh element
      `v8` - the eighth element
      `v9` - the ninth element
      `v10` - the tenth element
      `v11` - the eleventh element
      `v12` - the twelfth element
      `v13` - the thirteenth element
      `v14` - the fourteenth element
      `v15` - the fifteenth element
      `v16` - the sixteenth element

  - ### Tuple16

    public Tuple16(Tuple16<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16> tuple)
    Creates a tuple from the supplied tuple.
    Parameters:
      `tuple` - the source tuple

- ## Method Details

  - ### getV1

    public T1 getV1()
    Returns the first element.
    Returns:
      the first element

  - ### getV2

    public T2 getV2()
    Returns the second element.
    Returns:
      the second element

  - ### getV3

    public T3 getV3()
    Returns the third element.
    Returns:
      the third element

  - ### getV4

    public T4 getV4()
    Returns the fourth element.
    Returns:
      the fourth element

  - ### getV5

    public T5 getV5()
    Returns the fifth element.
    Returns:
      the fifth element

  - ### getV6

    public T6 getV6()
    Returns the sixth element.
    Returns:
      the sixth element

  - ### getV7

    public T7 getV7()
    Returns the seventh element.
    Returns:
      the seventh element

  - ### getV8

    public T8 getV8()
    Returns the eighth element.
    Returns:
      the eighth element

  - ### getV9

    public T9 getV9()
    Returns the ninth element.
    Returns:
      the ninth element

  - ### getV10

    public T10 getV10()
    Returns the tenth element.
    Returns:
      the tenth element

  - ### getV11

    public T11 getV11()
    Returns the eleventh element.
    Returns:
      the eleventh element

  - ### getV12

    public T12 getV12()
    Returns the twelfth element.
    Returns:
      the twelfth element

  - ### getV13

    public T13 getV13()
    Returns the thirteenth element.
    Returns:
      the thirteenth element

  - ### getV14

    public T14 getV14()
    Returns the fourteenth element.
    Returns:
      the fourteenth element

  - ### getV15

    public T15 getV15()
    Returns the fifteenth element.
    Returns:
      the fifteenth element

  - ### getV16

    public T16 getV16()
    Returns the sixteenth element.
    Returns:
      the sixteenth element

  - ### clone

    public Tuple16<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16> clone()
    Overrides:
      `clone` in class `Tuple`